Bug 543857 (APSB09-19, CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798, CVE-2009-3799, CVE-2009-3800) - flash-plugin: multiple code execution flaws (APSB09-19) (CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798, CVE-2009-3799, CVE-2009-3800)
Summary: flash-plugin: multiple code execution flaws (APSB09-19) (CVE-2009-3794, CVE-2...
Keywords:
Status: CLOSED ERRATA
Alias: APSB09-19, CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798, CVE-2009-3799, CVE-2009-3800
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.adobe.com/support/security...
Whiteboard: impact=critical,source=adobe,reported...
Depends On: 545057 545058 545059
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-03 10:27 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 10:07:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1657 normal SHIPPED_LIVE Critical: flash-plugin security update 2009-12-09 16:12:00 UTC
Red Hat Product Errata RHSA-2009:1658 normal SHIPPED_LIVE Critical: flash-plugin security update 2009-12-09 16:17:28 UTC

Description Jan Lieskovsky 2009-12-03 10:27:12 UTC
On next Tuesday, 2009-12-08, Adobe is planning to release an update 
for Adobe Flash Player 10.0.32.18 and earlier versions, to address
multiple security issues allowing code execution, whose description
is detailed in the Adobe Security Bulletin APSB09-19:

  http://www.adobe.com/support/security/bulletins/apsb09-19.html

Quoting Adobe Security Bulletin:
--------------------------------
This update resolves a vulnerability in the parsing of JPEG data that
could potentially lead to code execution (CVE-2009-3794).

This update resolves a data injection vulnerability that could potentially
lead to code execution (CVE-2009-3796).

This update resolves a memory corruption vulnerability that could potentially
lead to code execution (CVE-2009-3797).

This update resolves a memory corruption vulnerability that could potentially
lead to code execution (CVE-2009-3798).

This update resolves an integer overflow vulnerability that could potentially
lead to code execution (CVE-2009-3799).

This update resolves multiple crash vulnerabilities that could potentially
lead to code execution (CVE-2009-3800).

Comment 8 Vincent Danen 2009-12-08 23:35:05 UTC
Please note that CVE-2009-3797 only affects v10.x, as shipped with Red Hat Enterprise Linux 5, and does not affect v9.x, as shipped with Red Hat Enterprise Linux 4 and earlier.

Comment 11 errata-xmlrpc 2009-12-09 16:12:04 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1657 https://rhn.redhat.com/errata/RHSA-2009-1657.html

Comment 12 errata-xmlrpc 2009-12-09 16:17:30 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4

Via RHSA-2009:1658 https://rhn.redhat.com/errata/RHSA-2009-1658.html


Note You need to log in before you can comment on or make changes to this bug.